//import ddf.minim.*;

//Minim minim;
//AudioPlayer player;
// ddf seems obsoleted in processig 2
import processing.sound.*;

SoundFile player;


BvhParser parserA = new BvhParser();
PBvh bvh1, bvh2, bvh3;
int playing=0;
  
  
public void setup()
{
  size( 1280, 720, P3D );
  background( color(128,128,64) );
  noStroke();
  frameRate(60);//not 30 but 40
  
  bvh1 = new PBvh( loadStrings( "bvhfiles/aachan.bvh" ) ,color(255,0,0));
  bvh2 = new PBvh( loadStrings( "bvhfiles/kashiyuka.bvh" ), color(255,150,150));
  bvh3 = new PBvh( loadStrings( "bvhfiles/nocchi.bvh" ) ,color(0,0,255));

  //minim = new Minim(this);
  //player = minim.loadFile("Perfume_globalsite_sound.wav");
  player =new SoundFile(this,"Perfume_globalsite_sound.wav");
  playing = 1;
  player.play();
  //player.loop();
}

public void draw()
{
  int ms=millis()%70500;
 
  background( color(240,240,128) );
  
  //camera
  float _cos = cos(ms / 5000.f);
  float _sin = sin(ms / 5000.f);
  camera(width/4.f + width/4.f * _cos +200, height/2.0f-100, 550 + 150 * _sin,width/2.0f, height/2.0f, -400, 0, 1, 0);
  
  //ground 
  fill( color( 255 ));
  stroke(127);
  line(width/2.0f, height/2.0f, -30, width/2.0f, height/2.0f, 30);
  stroke(127);
  line(width/2.0f-30, height/2.0f, 0, width/2.0f + 30, height/2.0f, 0);
  stroke(255);
  pushMatrix();
  translate( width/2, height/2-10, 0);
  scale(-1, -1, -1);
  
  //synchronize sound and animation
  //model
  bvh1.update( ms );
  bvh2.update( ms );
  bvh3.update( ms );
  bvh1.draw();
  bvh2.draw();
  bvh3.draw();
  popMatrix();


  if (playing == 1) {
      if (ms <= 64247){
        player.cue(ms);  
      }
      else{
        player.stop();
        playing=0;
             println("stop  music", ms, player.duration(), player.sampleRate(),player.frames());
      }
  }
  else if (ms < 64247){
    player =new SoundFile(this,"Perfume_globalsite_sound.wav");
    player.play();
    playing=1;
    println("start music",ms, 
             player.duration(), player.sampleRate(),player.frames());
    player.cue(ms);   
   }
}


void stop()
{
  player.stop();
  //minim.stop();

  super.stop();
}
